import { AxiosInstance } from 'axios';
export declare type HttpMethodTypes = 'post' | 'get' | 'delete';
export declare type AxiosResponseTypes = 'stream' | 'json' | 'text';
/**
 * Abstract class which should be inherited to make use of creating api calls
 *
 * This class handles creating and sending requests as well as catching common errors
 */
export declare class ApiRequestHandler {
    /** Single instance of axios which uses provided arguments for all requests */
    instance: AxiosInstance;
    constructor(url: string, accessToken: string);
    makeApiRequest<Response>(method: HttpMethodTypes, url: string, headers: {}, responseType: AxiosResponseTypes, params?: {}, maxBodyLength?: number): Promise<Response>;
}
