/// <reference types="node" />
import { Duplex, DuplexOptions, PassThrough } from 'stream';
/**
 * Represents a two way buffered stream. Extends Duplex which implements both Readable and Writable
 */
export declare class BufferedDuplex extends Duplex {
    input: PassThrough;
    output: PassThrough;
    /**
     * @param input Buffer for the Writable side of the stream.
     * @param output Buffer for the Readable side of the stream.
     * @param options Options to be passed through to the superclass.
     */
    constructor(input: PassThrough, output: PassThrough, options?: DuplexOptions);
    _write(chunk: any, encoding: string, callback: (error?: Error | null) => void): boolean;
    _read(size: number): void;
    private setupInput;
    private setupOutput;
}
